Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class ScriptPeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.ScriptPeer

public class ScriptPeer
extends java.lang.Object

Constructor Summary
`ScriptPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `AddCommand(int i, java.lang.String s, int j, int k, int l)`
`static int` | `AddExternalMedia(int i, int j)`
`static int` | `AddTag(int i, java.lang.String s)`
`static int` | `AppendScript(int i, int j)`
`static int` | `ApplyContext(int i, int j)`
`static int` | `CopyScript(int i, int[] ai)`
`static int` | `Extrude(int i, int j, float f, int k, int l, int i1, int j1, int k1, float f1)`
`static int` | `FindFrameLabel(int i, java.lang.String s, int[] ai)`
`static int` | `FindScript(int i, java.lang.String s, int[] ai)`
`static int` | `FindSound(int i, java.lang.String s, int[] ai)`
`static int` | `GetBounds(int i, int[] ai)`
`static int` | `GetCommandCount(int i, int[] ai)`
`static int` | `GetCommandFrameCount(int i, int j, int[] ai)`
`static int` | `GetCommandFrameIndex(int i, int j, int[] ai)`
`static int` | `GetCommandLayer(int i, int j, int[] ai)`
`static int` | `GetCommandMatrix(int i, int j, int[] ai)`
`static int` | `GetCommandRect(int i, int j, int[] ai)`
`static int` | `GetCommandScript(int i, int j, int[] ai)`
`static int` | `GetCommandString(int i, int j, java.lang.String[] as)`
`static int` | `GetExternalFontCount(int i, int[] ai)`
`static int` | `GetExternalFontFile(int i, int j, java.lang.String[] as)`
`static int` | `GetFileVersion(int i, int[] ai)`
`static int` | `GetFrameRate(int i, float[] af)`
`static int` | `GetHeight(int i, int[] ai)`
`static int` | `GetIsCommand(int i, boolean[] aflag)`
`static int` | `GetIsProcessed(int i, boolean[] aflag)`
`static int` | `GetIsReferenced(int i, boolean[] aflag)`
`static int` | `GetLastFrame(int i, int[] ai)`
`static int` | `GetLoadTopDown(int i, boolean[] aflag)`
`static int` | `GetScript(int i, int j, int[] ai)`
`static int` | `GetScriptCount(int i, int[] ai)`
`static int` | `GetWidth(int i, int[] ai)`
`static int` | `InsertAction(int i, int j, int k)`
`static int` | `InsertAnimatedBitmap(int i, java.lang.String s, int j, int k, int l, int i1, int j1, boolean flag, int k1, int l1, int i2)`
`static int` | `InsertAnimatedBitmapBuffer(int i, int j, int k, int l, int i1, int j1, int k1, boolean flag, int l1, int i2, int j2)`
`static int` | `InsertBackgroundColor(int i, int j)`
`static int` | `InsertBackgroundRgb(int i, int j)`
`static int` | `InsertBitmap(int i, int j, int k, int l, int i1, int j1, int k1)`
`static int` | `InsertButton(int i, int j, int k, int l, int i1, int j1, int k1)`
`static int` | `InsertFrames(int i, int j, int k)`
`static int` | `InsertObject(int i, int j, int k, int l, int i1, int j1, int k1, int l1, java.lang.String s)`
`static int` | `InsertScript(int i, int j, int k, int l, int i1, int j1, int k1)`
`static int` | `InsertShape(int i, int j, int k, int l, int i1, int j1, int k1)`
`static int` | `InsertSound(int i, int j, int k, int l)`
`static int` | `InsertText(int i, int j, int k, int l, int i1, int j1, int k1)`
`static int` | `LoadExternalFontBuffer(int i, int j, int k)`
`static int` | `LoadExternalFontFile(int i, int j, java.lang.String s, boolean flag)`
`static int` | `MergeScript(int i, int j, int k, int l, int i1, int j1, int k1)`
`static int` | `MP3convert(int i, int j, int k, int l, int i1, int j1, int k1, int l1)`
`static int` | `New()`
`static int` | `NewExternalFont(int i, int j)`
`static int` | `Release(int i)`
`static int` | `SetBuffer(int i, int j)`
`static int` | `SetCommandBrightness(int i, int j, float f)`
`static int` | `SetCommandColor(int i, int j, float f, int k, float f1, int l, float f2, int i1, float f3, int j1)`
`static int` | `SetCommandLabel(int i, int j, java.lang.String s)`
`static int` | `SetCommandMask(int i, int j, int k)`
`static int` | `SetCommandMatrix(int i, int j, int k)`
`static int` | `SetCommandScript(int i, int j, int k)`
`static int` | `SetCommandTint(int i, int j, int k, float f)`
`static int` | `SetCommandTransparency(int i, int j, float f)`
`static int` | `SetFile(int i, java.lang.String s, boolean flag)`
`static int` | `SetFileVersion(int i, int j)`
`static int` | `SetFrameRate(int i, float f)`
`static int` | `SetHeight(int i, int j)`
`static int` | `SetIsProcessed(int i, boolean flag)`
`static int` | `SetLoadTopDown(int i, boolean flag)`
`static int` | `SetSerial(int i, int j)`
`static int` | `SetWidth(int i, int j)`
`static int` | `Write(int i, int[] ai)`
`static int` | `WriteText(int i, int[] ai)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptPeer

    public ScriptPeer()

Method Detail

### AddCommand

    public static int AddCommand(int i,
                                 java.lang.String s,
                                 int j,
                                 int k,
                                 int l)

### AddExternalMedia

    public static int AddExternalMedia(int i,
                                       int j)

### AddTag

    public static int AddTag(int i,
                             java.lang.String s)

### AppendScript

    public static int AppendScript(int i,
                                   int j)

### ApplyContext

    public static int ApplyContext(int i,
                                   int j)

### CopyScript

    public static int CopyScript(int i,
                                 int[] ai)

### Extrude

    public static int Extrude(int i,
                              int j,
                              float f,
                              int k,
                              int l,
                              int i1,
                              int j1,
                              int k1,
                              float f1)

### FindFrameLabel

    public static int FindFrameLabel(int i,
                                     java.lang.String s,
                                     int[] ai)

### FindScript

    public static int FindScript(int i,
                                 java.lang.String s,
                                 int[] ai)

### FindSound

    public static int FindSound(int i,
                                java.lang.String s,
                                int[] ai)

### GetBounds

    public static int GetBounds(int i,
                                int[] ai)

### GetCommandCount

    public static int GetCommandCount(int i,
                                      int[] ai)

### GetCommandFrameCount

    public static int GetCommandFrameCount(int i,
                                           int j,
                                           int[] ai)

### GetCommandFrameIndex

    public static int GetCommandFrameIndex(int i,
                                           int j,
                                           int[] ai)

### GetCommandLayer

    public static int GetCommandLayer(int i,
                                      int j,
                                      int[] ai)

### GetCommandMatrix

    public static int GetCommandMatrix(int i,
                                       int j,
                                       int[] ai)

### GetCommandRect

    public static int GetCommandRect(int i,
                                     int j,
                                     int[] ai)

### GetCommandScript

    public static int GetCommandScript(int i,
                                       int j,
                                       int[] ai)

### GetCommandString

    public static int GetCommandString(int i,
                                       int j,
                                       java.lang.String[] as)

### GetExternalFontCount

    public static int GetExternalFontCount(int i,
                                           int[] ai)

### GetExternalFontFile

    public static int GetExternalFontFile(int i,
                                          int j,
                                          java.lang.String[] as)

### GetFileVersion

    public static int GetFileVersion(int i,
                                     int[] ai)

### GetFrameRate

    public static int GetFrameRate(int i,
                                   float[] af)

### GetHeight

    public static int GetHeight(int i,
                                int[] ai)

### GetIsCommand

    public static int GetIsCommand(int i,
                                   boolean[] aflag)

### GetIsProcessed

    public static int GetIsProcessed(int i,
                                     boolean[] aflag)

### GetIsReferenced

    public static int GetIsReferenced(int i,
                                      boolean[] aflag)

### GetLastFrame

    public static int GetLastFrame(int i,
                                   int[] ai)

### GetLoadTopDown

    public static int GetLoadTopDown(int i,
                                     boolean[] aflag)

### GetScript

    public static int GetScript(int i,
                                int j,
                                int[] ai)

### GetScriptCount

    public static int GetScriptCount(int i,
                                     int[] ai)

### GetWidth

    public static int GetWidth(int i,
                               int[] ai)

### InsertAction

    public static int InsertAction(int i,
                                   int j,
                                   int k)

### InsertAnimatedBitmap

    public static int InsertAnimatedBitmap(int i,
                                           java.lang.String s,
                                           int j,
                                           int k,
                                           int l,
                                           int i1,
                                           int j1,
                                           boolean flag,
                                           int k1,
                                           int l1,
                                           int i2)

### InsertAnimatedBitmapBuffer

    public static int InsertAnimatedBitmapBuffer(int i,
                                                 int j,
                                                 int k,
                                                 int l,
                                                 int i1,
                                                 int j1,
                                                 int k1,
                                                 boolean flag,
                                                 int l1,
                                                 int i2,
                                                 int j2)

### InsertBackgroundColor

    public static int InsertBackgroundColor(int i,
                                            int j)

### InsertBackgroundRgb

    public static int InsertBackgroundRgb(int i,
                                          int j)

### InsertBitmap

    public static int InsertBitmap(int i,
                                   int j,
                                   int k,
                                   int l,
                                   int i1,
                                   int j1,
                                   int k1)

### InsertButton

    public static int InsertButton(int i,
                                   int j,
                                   int k,
                                   int l,
                                   int i1,
                                   int j1,
                                   int k1)

### InsertFrames

    public static int InsertFrames(int i,
                                   int j,
                                   int k)

### InsertObject

    public static int InsertObject(int i,
                                   int j,
                                   int k,
                                   int l,
                                   int i1,
                                   int j1,
                                   int k1,
                                   int l1,
                                   java.lang.String s)

### InsertScript

    public static int InsertScript(int i,
                                   int j,
                                   int k,
                                   int l,
                                   int i1,
                                   int j1,
                                   int k1)

### InsertShape

    public static int InsertShape(int i,
                                  int j,
                                  int k,
                                  int l,
                                  int i1,
                                  int j1,
                                  int k1)

### InsertSound

    public static int InsertSound(int i,
                                  int j,
                                  int k,
                                  int l)

### InsertText

    public static int InsertText(int i,
                                 int j,
                                 int k,
                                 int l,
                                 int i1,
                                 int j1,
                                 int k1)

### LoadExternalFontBuffer

    public static int LoadExternalFontBuffer(int i,
                                             int j,
                                             int k)

### LoadExternalFontFile

    public static int LoadExternalFontFile(int i,
                                           int j,
                                           java.lang.String s,
                                           boolean flag)

### MP3convert

    public static int MP3convert(int i,
                                 int j,
                                 int k,
                                 int l,
                                 int i1,
                                 int j1,
                                 int k1,
                                 int l1)

### MergeScript

    public static int MergeScript(int i,
                                  int j,
                                  int k,
                                  int l,
                                  int i1,
                                  int j1,
                                  int k1)

### New

    public static int New()

### NewExternalFont

    public static int NewExternalFont(int i,
                                      int j)

### Release

    public static int Release(int i)

### SetBuffer

    public static int SetBuffer(int i,
                                int j)

### SetCommandBrightness

    public static int SetCommandBrightness(int i,
                                           int j,
                                           float f)

### SetCommandColor

    public static int SetCommandColor(int i,
                                      int j,
                                      float f,
                                      int k,
                                      float f1,
                                      int l,
                                      float f2,
                                      int i1,
                                      float f3,
                                      int j1)

### SetCommandLabel

    public static int SetCommandLabel(int i,
                                      int j,
                                      java.lang.String s)

### SetCommandMask

    public static int SetCommandMask(int i,
                                     int j,
                                     int k)

### SetCommandMatrix

    public static int SetCommandMatrix(int i,
                                       int j,
                                       int k)

### SetCommandScript

    public static int SetCommandScript(int i,
                                       int j,
                                       int k)

### SetCommandTint

    public static int SetCommandTint(int i,
                                     int j,
                                     int k,
                                     float f)

### SetCommandTransparency

    public static int SetCommandTransparency(int i,
                                             int j,
                                             float f)

### SetFile

    public static int SetFile(int i,
                              java.lang.String s,
                              boolean flag)

### SetFileVersion

    public static int SetFileVersion(int i,
                                     int j)

### SetFrameRate

    public static int SetFrameRate(int i,
                                   float f)

### SetHeight

    public static int SetHeight(int i,
                                int j)

### SetIsProcessed

    public static int SetIsProcessed(int i,
                                     boolean flag)

### SetLoadTopDown

    public static int SetLoadTopDown(int i,
                                     boolean flag)

### SetSerial

    public static int SetSerial(int i,
                                int j)

### SetWidth

    public static int SetWidth(int i,
                               int j)

### Write

    public static int Write(int i,
                            int[] ai)

### WriteText

    public static int WriteText(int i,
                                int[] ai)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD